KDE 4.7 PyKDE API Reference

- KDE's Python API

# KPassivePopupMessageHandler Class Reference

`from PyKDE4.kdeui import *`

Inherits: QObject,KMessageHandler

## Detailed Description

This is a convenience KMessageHandler that uses KPassivePopup.

Author:
  Michaël Larouche <michael.larouche@kdemail.net>

## Methods
| __init__ (self, QWidget parent=0)
| message (self, KMessage.MessageType messageType, QString text, QString caption)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Create a new KPassivePopupMessageHandler

Parameters:

  | parent | Parent widget to use for the KPassivePopup.

message | ( | self, |
|  | KMessage.MessageType | messageType,
|  | QString | text,
|  | QString | caption
| ) |  |  |

KMessageHandler.message